
.e-uslugi {
  color: var(--white);
    background-color: var(--main-color);
  }

  .e-uslugi .box-container {
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 120px;
  }

  .e-uslugi .box-container a{
    display: block;
    flex-direction: column;
    gap: 10px;
    color: var(--white);
  }

  .e-uslugi .box-container .box:hover h4{
    transform: translateY(-10px);
  }

  .e-uslugi .box-container .box h4  {
    font-size: 24px;
    font-weight: 700;
  }

/* Umów Konsultację Baner */

.baner-konsultacja {
  display: flex;
  background: url('https://przychodnianowiny.pl/assets/images/umow-konsultacje-baner.webp') no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  min-height: 400px;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: var(--white);
}

.baner-konsultacja .container {
  display: flex;
  flex-direction: column;
  gap: 24px;
  align-items: center;
}

.baner-konsultacja .container h5 {
  font-size: clamp(24px, 4vw, 48px);
  font-weight: 600;
}

/* Home */


.home {
  position: relative;
  overflow: hidden; 
  min-height: calc(100vh * 9 / 16);
  max-height: 70vh;
  background: 
    linear-gradient(to left, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 20%),
    linear-gradient(to right, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 20%),
    linear-gradient(to top, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 20%),
    linear-gradient(to bottom, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 20%);
}

.background-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
}

/* Recepta Popup */

.popup-container {
  position: fixed;
  top: 50%;
  left: 50%;
  display: none;
  transform: translate(-50%, -50%);
  padding: 32px;
  width: clamp(280px, 80vw, 500px);
  max-height: 90vh;
  background: linear-gradient(180deg, #FFFFFF 0%, #F4FCFF 100%);
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  overflow-y: auto;
  z-index: 10011;
}


.popup {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.popup form {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.popup h2 {
  margin: 0;
}

.popup .title span {
  font-size: 14px;
  color: #a3a3a3;
}

.popup label {
  display: block;
  margin-bottom: 8px;
  font-weight: 500;
}

.popup input {
  margin-bottom: 10px;
  padding: 10px;
  width: 300px;
  font-size: 14px;
  border: 1px solid #ddd;
  border-radius: 12px;
}

.popup .lek {
  margin-bottom: 10px;
  padding: 10px;
  border-radius: 5px;
}

.popup .button,
.popup .button-add {
  display: flex;
  justify-content: center;
}

.popup i {
  color: #000;
}

.popup .btn-delete {
  margin-top: 24px;
  color: #000;
  font-weight: 600;
  background-color: transparent;
  border-top: 3px solid #000;
  border-radius: 0;
}

.popup .checkbox-container {
  display: flex; 
  align-items: center; 
  gap: 10px;
  margin-top: 10px; 
}

.popup .checkbox-container input {
  margin: 0;
  padding: 0;
  width: auto;
}

.popup .checkbox-container span {
  font-size: 14px;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1000;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  cursor: pointer;
}


@media (min-width: 768px) {

  .baner-konsultacja {
    justify-content: flex-start;
  }

  .baner-konsultacja .wrapper {
    margin: 0;
  }

  .baner-konsultacja .container {
    text-align: left;
    align-items: flex-start;
    padding-left: clamp(32px, 10vw, 200px);
    max-width: 1100px;
  }

}

@media (min-width: 1150px) {

  .e-uslugi .box-container {
      justify-content: space-between;
  }

}

@media (min-width: 1500px) {
  .home {
    min-height: calc(54vw * 9 / 16);
  }
}